<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.ast.Method Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1ast_1_1Method.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cpp.ast.Method Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.ast.Method:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1Method__inherit__graph.svg" width="216" height="336"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.ast.Method:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1Method__coll__graph.svg" width="216" height="336"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa3cbdc9c4b7e92b15fa6acea0dbf2322"><td class="memItemLeft" align="right" valign="top"><a id="aa3cbdc9c4b7e92b15fa6acea0dbf2322"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end, name, in_class, return_type, parameters, modifiers, templated_types, body, namespace)</td></tr>
<tr class="separator:aa3cbdc9c4b7e92b15fa6acea0dbf2322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1Function"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1Function')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1Function.html">cpp.ast.Function</a></td></tr>
<tr class="memitem:ab5270f5d353ec5e9dcd136e4cc6c7f6c inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top"><a id="ab5270f5d353ec5e9dcd136e4cc6c7f6c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end, name, return_type, parameters, modifiers, templated_types, body, namespace)</td></tr>
<tr class="separator:ab5270f5d353ec5e9dcd136e4cc6c7f6c inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9120d9a774eb5860d220b3bcdcaa87e inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Function.html#ab9120d9a774eb5860d220b3bcdcaa87e">IsDeclaration</a> (self)</td></tr>
<tr class="separator:ab9120d9a774eb5860d220b3bcdcaa87e inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5d96144bd8418ac72332bffb21ea86f inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Function.html#ad5d96144bd8418ac72332bffb21ea86f">IsDefinition</a> (self)</td></tr>
<tr class="separator:ad5d96144bd8418ac72332bffb21ea86f inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85a073cd69116bc6191f379d69d10d72 inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Function.html#a85a073cd69116bc6191f379d69d10d72">IsExportable</a> (self)</td></tr>
<tr class="separator:a85a073cd69116bc6191f379d69d10d72 inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999e7b5e43517cd4d68b1aeea8a7d6e1 inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Function.html#a999e7b5e43517cd4d68b1aeea8a7d6e1">Requires</a> (self, node)</td></tr>
<tr class="separator:a999e7b5e43517cd4d68b1aeea8a7d6e1 inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaef91d6a3b1eb2703eebb32d39c45978 inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top"><a id="aaef91d6a3b1eb2703eebb32d39c45978"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__str__</b> (self)</td></tr>
<tr class="separator:aaef91d6a3b1eb2703eebb32d39c45978 inherit pub_methods_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1__GenericDeclaration')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1__GenericDeclaration.html">cpp.ast._GenericDeclaration</a></td></tr>
<tr class="memitem:afde72751e20708a7802eb7707d23bc3c inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="afde72751e20708a7802eb7707d23bc3c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end, name, namespace)</td></tr>
<tr class="separator:afde72751e20708a7802eb7707d23bc3c inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1437d31271ea8cda62da22e2ce427a85 inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="a1437d31271ea8cda62da22e2ce427a85"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>FullName</b> (self)</td></tr>
<tr class="separator:a1437d31271ea8cda62da22e2ce427a85 inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1Node"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1Node')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1Node.html">cpp.ast.Node</a></td></tr>
<tr class="memitem:a2cbd6969346645259afc3be51faae904 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a2cbd6969346645259afc3be51faae904"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end)</td></tr>
<tr class="separator:a2cbd6969346645259afc3be51faae904 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5dfeabcbcd7c1f5feb8522edffb8b4a inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="ab5dfeabcbcd7c1f5feb8522edffb8b4a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>XXX__str__</b> (self)</td></tr>
<tr class="separator:ab5dfeabcbcd7c1f5feb8522edffb8b4a inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89915656a60c7b7c752e5baa607c532 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="ab89915656a60c7b7c752e5baa607c532"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__repr__</b> (self)</td></tr>
<tr class="separator:ab89915656a60c7b7c752e5baa607c532 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa67244c3673afed43398b5d3e3fa6c1c"><td class="memItemLeft" align="right" valign="top"><a id="aa67244c3673afed43398b5d3e3fa6c1c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>in_class</b></td></tr>
<tr class="separator:aa67244c3673afed43398b5d3e3fa6c1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1Function"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1Function')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1Function.html">cpp.ast.Function</a></td></tr>
<tr class="memitem:af750fd788d7ab33163ee066534780212 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top"><a id="af750fd788d7ab33163ee066534780212"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>return_type</b></td></tr>
<tr class="separator:af750fd788d7ab33163ee066534780212 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e61ef47af9cf2fd4402dbd8cab631ef inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top"><a id="a0e61ef47af9cf2fd4402dbd8cab631ef"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>parameters</b></td></tr>
<tr class="separator:a0e61ef47af9cf2fd4402dbd8cab631ef inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30eed435f1ff9ff34ade9cc0d7be121 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top"><a id="ad30eed435f1ff9ff34ade9cc0d7be121"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>modifiers</b></td></tr>
<tr class="separator:ad30eed435f1ff9ff34ade9cc0d7be121 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e25e5016b23b38e32acf2df529c0650 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top"><a id="a8e25e5016b23b38e32acf2df529c0650"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>body</b></td></tr>
<tr class="separator:a8e25e5016b23b38e32acf2df529c0650 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57bb03218bade3240137a0d91c467cb6 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memItemLeft" align="right" valign="top"><a id="a57bb03218bade3240137a0d91c467cb6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>templated_types</b></td></tr>
<tr class="separator:a57bb03218bade3240137a0d91c467cb6 inherit pub_attribs_classcpp_1_1ast_1_1Function"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1__GenericDeclaration.html">cpp.ast._GenericDeclaration</a></td></tr>
<tr class="memitem:af774f4729dfd78d0538a6782fe8514c1 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="af774f4729dfd78d0538a6782fe8514c1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>name</b></td></tr>
<tr class="separator:af774f4729dfd78d0538a6782fe8514c1 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aee3f11b37449d54b42a78e0a689f46 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="a8aee3f11b37449d54b42a78e0a689f46"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>namespace</b></td></tr>
<tr class="separator:a8aee3f11b37449d54b42a78e0a689f46 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1Node"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1Node')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1Node.html">cpp.ast.Node</a></td></tr>
<tr class="memitem:a7b2aa97e6a049bb1a93aea48c48f1f44 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a7b2aa97e6a049bb1a93aea48c48f1f44"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>start</b></td></tr>
<tr class="separator:a7b2aa97e6a049bb1a93aea48c48f1f44 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5e5246ccf619df28eca02e29d69647 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a3c5e5246ccf619df28eca02e29d69647"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>end</b></td></tr>
<tr class="separator:a3c5e5246ccf619df28eca02e29d69647 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>ast.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>ast</b></li><li class="navelem"><a class="el" href="classcpp_1_1ast_1_1Method.html">Method</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
